#!/usr/bin/env python
#main4.py
#mcs260s13, lowman, W5L2
#a second readfile example
# version 3 use sys.argv to get filename from the command line. 
# version 4 write output to a file
import sys
def dpos(outfid,a,b,c,d):
	line1 = "(a,b,c,d) = (%.2f,%.2f,%.2f,%.2f)" % (a,b,c,d)
	line2 = "d is positive."
	outfid.write(line1 + "\n")
	outfid.write(line2 + "\n")
def dzero(outfid,a,b,c,d):
	line1 = "(a,b,c,d) = (%.2f,%.2f,%.2f,%.2f)" % (a,b,c,d)
	line2 =  "d is zero."
	outfid.write(line1 + "\n")
	outfid.write(line2 + "\n")
def dneg(outfid,a,b,c,d):
	line1 = "(a,b,c,d) = (%.2f,%.2f,%.2f,%.2f)" % (a,b,c,d)
	line2 = "d is negative."
	outfid.write(line1 + "\n")
	outfid.write(line2 + "\n")
	
def main():
	datafile = sys.argv[1]
	infile = open(datafile,"r")
	outfile = open("outfile.txt","w")
	for line in infile:
		line = line.strip()
		if line == "":
			continue
		if line[0] == '#':
			continue
		line = line.split()
		line = [float(x) for x in line]
		a,b,c = tuple(line)
		d = b**2 -4*a*c
		line =  "\n\n-------------------------------------------\n\n"
		outfile.write(line)
		if d > 0 :
			dpos(outfile,a,b,c,d)
		elif d == 0 :
			dzero(outfile,a,b,c,d)
		elif d < 0 :
			dneg(outfile,a,b,c,d)
		else:
			print "Never get here!"
	infile.close()
	outfile.close()
if __name__ == "__main__":
	main()


